Bug 20072 - Fix build-git-snapshot for Debian source format quilt
Summary: Fix build-git-snapshot for Debian source format quilt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Mirko Tietgen
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 18696
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-23 11:22 UTC by Mirko Tietgen
Modified: 2018-02-03 11:22 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20072 - Fix build-git-snapshot for Debian source format quilt (1.56 KB, patch)
2018-01-23 12:37 UTC, Mirko Tietgen
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2018-01-23 11:22:30 UTC
With bug 18696 we need a few tiny changes to build-git-snapshot.
Comment 1 Mirko Tietgen 2018-01-23 12:37:41 UTC
Created attachment 70823 [details] [review]
Bug 20072 - Fix build-git-snapshot for Debian source format quilt

With bug 18696 we need a few tiny changes to build-git-snapshot:
- Debian revision number for debian/changelog
- "orig" in the file name for the tar.gz archive

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 2 Jonathan Druart 2018-01-30 17:17:22 UTC
Please make sure the commit messages start with "Bug 12345: "
https://wiki.koha-community.org/wiki/Commit_messages#Examples
Comment 3 Jonathan Druart 2018-01-30 17:27:18 UTC
Patch pushed to master for 18.05
Comment 4 Mirko Tietgen 2018-02-01 08:20:19 UTC
Nick, Fridolin: Please push to 17.11 and 17.05. It's a followup to bug 18696.
Comment 5 Mirko Tietgen 2018-02-01 09:54:20 UTC
(In reply to Jonathan Druart from comment #2)
> Please make sure the commit messages start with "Bug 12345: "
> https://wiki.koha-community.org/wiki/Commit_messages#Examples

Whoops, I wasn't aware of that, I think I do it wrong all the time. Sorry.
Comment 6 Fridolin SOMERS 2018-02-02 07:43:39 UTC
Pushed to 17.05.x for v17.05.09
Comment 7 Nick Clemens 2018-02-02 17:04:22 UTC
Awesome work all! Pushed to stable for 17.11.03